cascading.flow.hadoop.util

## Class LazyCollection

- java.lang.Object
- - cascading.flow.hadoop.util.LazyCollection

- All Implemented Interfaces:
    ResettableCollection<Iterator<Tuple>>, Iterable<Tuple>, Collection<Tuple>
  Direct Known Subclasses:
    LazySpillableTupleCollection

      public class LazyCollection
      extends Object
      implements Collection<Tuple>, ResettableCollection<Iterator<Tuple>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyCollection(Collection<Tuple> parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(Tuple objects)`
    `boolean` | `addAll(Collection<? extends Tuple> c)`
    `void` | `clear()`
    `boolean` | `contains(Object o)`
    `boolean` | `containsAll(Collection<?> c)`
    `boolean` | `equals(Object o)`
    `static Collection<Tuple>` | `getParent(LazyCollection collection)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `Iterator<Tuple>` | `iterator()`
    `boolean` | `remove(Object o)`
    `boolean` | `removeAll(Collection<?> c)`
    `void` | `reset(Iterator<Tuple> iterator)`
    `boolean` | `retainAll(Collection<?> c)`
    `int` | `size()`
    `Object[]` | `toArray()`
    `<T> T[]` | `toArray(T[] a)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyCollection

          public LazyCollection(Collection<Tuple> parent)

  - ### Method Detail

    - #### getParent

          public static Collection<Tuple> getParent(LazyCollection collection)

    - #### size

          public int size()

      Specified by:
        `size` in interface `Collection<Tuple>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Collection<Tuple>`

    - #### contains

          public boolean contains(Object o)

      Specified by:
        `contains` in interface `Collection<Tuple>`

    - #### iterator

          public Iterator<Tuple> iterator()

      Specified by:
        `iterator` in interface `Iterable<Tuple>`
      Specified by:
        `iterator` in interface `Collection<Tuple>`

    - #### toArray

          public Object[] toArray()

      Specified by:
        `toArray` in interface `Collection<Tuple>`

    - #### toArray

          public <T> T[] toArray(T[] a)

      Specified by:
        `toArray` in interface `Collection<Tuple>`

    - #### add

          public boolean add(Tuple objects)

      Specified by:
        `add` in interface `Collection<Tuple>`

    - #### remove

          public boolean remove(Object o)

      Specified by:
        `remove` in interface `Collection<Tuple>`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Specified by:
        `containsAll` in interface `Collection<Tuple>`

    - #### addAll

          public boolean addAll(Collection<? extends Tuple> c)

      Specified by:
        `addAll` in interface `Collection<Tuple>`

    - #### removeAll

          public boolean removeAll(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<Tuple>`

    - #### retainAll

          public boolean retainAll(Collection<?> c)

      Specified by:
        `retainAll` in interface `Collection<Tuple>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Collection<Tuple>`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Collection<Tuple>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Collection<Tuple>`
      Overrides:
        `hashCode` in class `Object`

    - #### reset

          public void reset(Iterator<Tuple> iterator)

      Specified by:
        `reset` in interface `ResettableCollection<Iterator<Tuple>>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.